// pages/index/tab/tab.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    StudentapartmentNew: Boolean,
    page: String,
    listTab: Object,
  },

  /**
   * 组件的初始数据
   */
  data: {
    isNewVersions: true,
    tabList: [{
      name: "个人房源",
      value: "personList",
    }, {
      name: "中介房源",
      value: "quarantineLists"
    }, {
      name: "学生公寓",
      value: "irentList"
    }]
  },

  /**
   * 组件的方法列表
   */
  methods: {
    toPage(e) {
      let page = e.currentTarget.dataset.page;

      if (this.properties.page === page) {
        return false
      }
      wx.redirectTo({
        url: `/pages/${page}/${page}`,
      })
    },


    // 跳转中介房源
    toIntermediaryPage() {
      wx.navigateTo({
        url: '/pages/quarantineLists/quarantineLists',
      })
    },

  }
})