// template/fixFooter/fixFooter.js
let app = getApp()
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        user: Number,
        unreadMessages: {
            type: Number,
            value: 0
        },
        bottomLift: {
            type: Number
        }
    },

    /**
     * 组件的初始数据
     */
    data: {
        // unreadMessages: 0
        isAuthorization: 0,
    },

    lifetimes: {},

    /**
     * 组件的方法列表
     */
    methods: {
        // 处理发布房源
        handleIssue() {
            let user = app.globalData['user']
            let miniProgram = app.globalData['miniProgram']

            if (user['uid']) {
                if (!user['nickname']) {
                    wx.navigateTo({
                        url: '/pages/setAvatarNickname/setAvatarNickname',
                    })
                    return
                }
                if (miniProgram == 'gx') {
                    wx.navigateToMiniProgram({
                        appId: "wx9c68fbf7886ea9c4",
                        path: "/pages/edit/edit"
                    })
                } else {
                    wx.navigateTo({
                        url: '/pages/edit/edit',
                    })
                }
            } else {
                this.setData({
                    isAuthorization: 1
                })
            }
        }
    }
})